summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGeorgy Yakovlev <gyakovlev@gentoo.org>2020-11-23 16:03:33 -0800
committerGeorgy Yakovlev <gyakovlev@gentoo.org>2020-11-23 16:39:21 -0800
commit5cc208cd8bff53a8868790c5c775cc17ce2ec3da (patch)
tree8feac208ffda95dedcdf2e521f61b9eb23dee10c /dev-lang
parentprofiles/base/package.mask: adjust rust masks (diff)
downloadgentoo-5cc208cd8bff53a8868790c5c775cc17ce2ec3da.tar.gz
gentoo-5cc208cd8bff53a8868790c5c775cc17ce2ec3da.tar.bz2
gentoo-5cc208cd8bff53a8868790c5c775cc17ce2ec3da.zip
dev-lang/rust: print a warning if symlink target not found
Package-Manager: Portage-3.0.10, Repoman-3.0.2 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Diffstat (limited to 'dev-lang')
-rw-r--r--dev-lang/rust/rust-1.48.0.ebuild8
1 files changed, 7 insertions, 1 deletions
diff --git a/dev-lang/rust/rust-1.48.0.ebuild b/dev-lang/rust/rust-1.48.0.ebuild
index 145293e816d..e1a7dea6391 100644
--- a/dev-lang/rust/rust-1.48.0.ebuild
+++ b/dev-lang/rust/rust-1.48.0.ebuild
@@ -516,7 +516,13 @@ src_install() {
# so /usr/bin/rustc should point to /usr/lib/rust/<ver>/bin/rustc-<ver>
# need to fix eselect-rust to remove this hack.
local ver_i="${i}-${PV}"
- ln -v "${ED}/usr/lib/${PN}/${PV}/bin/${i}" "${ED}/usr/lib/${PN}/${PV}/bin/${ver_i}" || die
+ if [[ -f "${ED}/usr/lib/${PN}/${PV}/bin/${i}" ]]; then
+ einfo "Installing ${i} symlink"
+ ln -v "${ED}/usr/lib/${PN}/${PV}/bin/${i}" "${ED}/usr/lib/${PN}/${PV}/bin/${ver_i}" || die
+ else
+ ewarn "${i} symlink requested, but source file not found"
+ ewarn "please report this"
+ fi
dosym "../lib/${PN}/${PV}/bin/${ver_i}" "/usr/bin/${ver_i}"
done